Package Details: linux-g14-headers 5.12.10.arch1-3

Git Clone URL: https://aur.archlinux.org/linux-g14.git (read-only, click to copy)
Package Base: linux-g14
Description: Headers and scripts for building modules for the Linux kernel
Upstream URL: https://lab.retarded.farm/zappel/asus-rog-zephyrus-g14/
Keywords: ASUS G14 ROG Zephyrus
Licenses: GPL2
Submitter: dragonn
Maintainer: dragonn
Last Packager: dragonn
Votes: 5
Popularity: 0.58
First Submitted: 2020-06-06 15:43
Last Updated: 2021-06-12 13:33

Latest Comments

1 2 3 Next › Last »

dragonn commented on 2021-05-16 08:04

Right, I checked the latest PKGBUILD for the stock Arch kernel and it has cpio as makedepends. Add it to linux-g14 too, I didn't catch that because I already had cpio installed in my system.

hornobster commented on 2021-05-16 07:57

Hi, is there a new dependency on cpio? I had the same problem as this https://bbs.archlinux.org/viewtopic.php?id=261876.

dragonn commented on 2021-05-11 17:54

Oh man, thanks! I didn't clear my src so it just used some old dir. My bad. Fix incoming.

ChrisMorgan commented on 2021-05-11 17:49

This isn’t building because the fedora-kernel ZIP file expands to $srcdir/fedora-kernel-50c4293d202534b2773149500aac51f13fd76c9b/, but PKGBUILD looks for its patches in $srcdir/fedora-kernel/*.patch.

Here’s a patch to fix it:

diff --git a/PKGBUILD b/PKGBUILD
index 576aea8..378280d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -15,12 +15,13 @@ makedepends=(
 )
 options=('!strip')
 _srcname=archlinux-linux
+_fedora_kernel_commit_id=50c4293d202534b2773149500aac51f13fd76c9b
 source=(
        "$_srcname::git+https://git.archlinux.org/linux.git?signed#tag=$_srctag"
        config         # the main kernel config file
        "sys-kernel_arch-sources-g14_files_6008-HID-asus-Filter-keyboard-EC-for-old-ROG-keyboard.patch"
        "sys-kernel_arch-sources-g14_files-6010-acpi_unused.patch"
-       "https://gitlab.com/asus-linux/fedora-kernel/-/archive/50c4293d202534b2773149500aac51f13fd76c9b/fedora-kernel-50c4293d202534b2773149500aac51f13fd76c9b.zip"
+       "https://gitlab.com/asus-linux/fedora-kernel/-/archive/$_fedora_kernel_commit_id/fedora-kernel-$_fedora_kernel_commit_id.zip"
 )
 validpgpkeys=(
   'ABAF11C65A2970B130ABE3C479BE3E4300411886'  # Linus Torvalds
@@ -55,7 +56,7 @@ prepare() {
     patch -Np1 < "../$src"
   done

-  for src in ../fedora-kernel/*.patch; do
+  for src in ../fedora-kernel-$_fedora_kernel_commit_id/*.patch; do
     src="${src%%::*}"
     src="${src##*/}"
     [[ $src = *.patch ]] || continue
@@ -63,7 +64,7 @@ prepare() {
        [ "$src" != "0006-drm-amdgpu-move-s0ix-check-into-amdgpu_device_ip_sus.patch" ] &&
        [ "$src" != "patch-5.11-redhat.patch" ]; then
       echo "Applying patch $src..."
-      OUT="$(patch --forward -Np1 < "../fedora-kernel/$src")"  || echo "${OUT}" | grep "Skipping patch" -q || (echo "$OUT" && false);
+      OUT="$(patch --forward -Np1 < "../fedora-kernel-$_fedora_kernel_commit_id/$src")"  || echo "${OUT}" | grep "Skipping patch" -q || (echo "$OUT" && false);
     fi
   done

ChrisMorgan commented on 2021-04-27 16:48

This is not building properly any more: the fedora-kernel repository isn’t advertising commit 3e893afb4b3fcc73192caa1d5a645abae87d2112. You can fetch it manually for now (though I imagine the commit will be garbage collected in about a month’s time), but the rog branch that it was on has had its extra commits rebased from 5.11.15 to 5.11.16. Could be worth asking upstream to leave tags or branches behind for the old versions, or else fork it on GitLab to do the same.

cvelteren commented on 2021-04-22 20:53

@dragonn ah hmm odd I was for some reason on the impression that the 201 was onboard. I do have the problem however under pipewire no matter what version I try.

dragonn commented on 2021-04-22 15:59

@cvelteren first, that patch says it is for AX201, mine G14 has AX200. Maybe 2021 models have never card. But even that, that is not a kernel patch, it is a firmware patch so that would be a new package called linux-firmware-g14. I don't think making it makes a lot sense, that patch should quite fast come into stock linux-firmware too.

cvelteren commented on 2021-04-22 15:55

@dragonn can you add the patches to prevent pipewire disconnects with the bluetooth chipset on the g14 (https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=73144e02dcff54529ab42d951de682740d204180)

ixevix commented on 2021-02-17 09:18

Is this package still relevant going forward to 5.11 or have these patches been merged?

dragonn commented on 2021-01-14 10:04

Windows has the bad habit in leaving devices in a "unclean" state where Linux drivers can not recover them back. This mostly because by default when fast startup is enabled in Windows it doesn't do normal shutdowns/reboots where device drivers are initialized and shutdown but fast startup is just cheating and is just hibernation.